| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
fxlc95000_DeviceDescriptor_t Struct Reference
fsl_fxlc95000 module documentation

`#include <fsl_fxlc95000_i2cspi_pedo.h>`

Collaboration diagram for fxlc95000_DeviceDescriptor_t:

## Data Fields
dm_ChannelDescriptor_t | cDescriptor
dm_DeviceDescriptor_t | deviceHandle
semaphore_t | deviceSemaphore
bm_callback_token_t | token
fxlc95000_DataBuffer_t * | pCurrentSample
fxlc95000_appConfigRegister_t | localCfgBuffer
uint8 | localCfgBufSize
uint8 | tempReadBuffer [32]

## Detailed Description

Definition at line 35 of file fsl_fxlc95000_i2cspi_pedo.h.

## Field Documentation

dm_ChannelDescriptor_t cDescriptor

Device Messaging channel descriptor

Definition at line 36 of file fsl_fxlc95000_i2cspi_pedo.h.

Referenced by fsl_fxlc95000_Initialize().

dm_DeviceDescriptor_t deviceHandle

Device messaging device handle.

Definition at line 37 of file fsl_fxlc95000_i2cspi_pedo.h.

Referenced by fsl_fxlc95000_Configure(), fsl_fxlc95000_EndData(), fsl_fxlc95000_Initialize(), fsl_fxlc95000_Shutdown(), fsl_fxlc95000_StartData(), fxlc95000_GetConfig(), fxlc95000_GetData(), fxlc95000_ValidateConfig(), and fxlc95000_WriteConfig().

semaphore_t deviceSemaphore

Task synchronization mechanism for this data structure.

Definition at line 38 of file fsl_fxlc95000_i2cspi_pedo.h.

Referenced by fsl_fxlc95000_Configure(), fsl_fxlc95000_EndData(), fsl_fxlc95000_Initialize(), fsl_fxlc95000_PeriodicCallback(), and fsl_fxlc95000_StartData().

fxlc95000_appConfigRegister_t localCfgBuffer

Hold a local copy of the FXLC95000 App config registers

Definition at line 41 of file fsl_fxlc95000_i2cspi_pedo.h.

Referenced by fsl_fxlc95000_Configure().

uint8 localCfgBufSize

Number of bytes on the localCfgBuffer array

Definition at line 42 of file fsl_fxlc95000_i2cspi_pedo.h.

fxlc95000_DataBuffer_t* pCurrentSample

Holds the most recently read sample

Definition at line 40 of file fsl_fxlc95000_i2cspi_pedo.h.

Referenced by fsl_fxlc95000_Initialize(), and fsl_fxlc95000_PeriodicCallback().

uint8 tempReadBuffer[32]

scratch buffer for result of miscellaneous reads

Definition at line 43 of file fsl_fxlc95000_i2cspi_pedo.h.

bm_callback_token_t token

Bus Manager handle

Definition at line 39 of file fsl_fxlc95000_i2cspi_pedo.h.

Referenced by fsl_fxlc95000_Configure(), fsl_fxlc95000_EndData(), fsl_fxlc95000_Shutdown(), and fsl_fxlc95000_StartData().

The documentation for this struct was generated from the following file:

- SensorSpecific/fsl_fxlc95000_i2cspi_pedo.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.